import { GlobalThemeOverrides } from 'naive-ui'
const themeOverrides: GlobalThemeOverrides = {
  common: {
    primaryColor: '#2791FEFF',
    primaryColorHover: '#67B2FEFF',
    primaryColorPressed: '#1F74CBFF',
    primaryColorSuppl: '#93C8FEFF',
    errorColorHover: '#EC787BFF',
    errorColor: '#E8575AFF',
    errorColorPressed: '#B94548FF',
    errorColorSuppl: '#EE898BFF',
    warningColor: '#FAAD38FF',
    warningColorPressed: '#C88A2CFF',
    textColorBase: '#17233EFF',
    textColor1: 'rgba(80, 90, 110, 1)',
    textColor2: 'rgba(128, 134, 148, 1)',
    textColor3: 'rgba(196, 200, 206, 1)',
    placeholderColor: 'rgba(196, 200, 206, 1)',
    iconColor: 'rgba(196, 200, 206, 1)',
    iconColorHover: 'rgba(103, 178, 254, 1)',
    iconColorPressed: 'rgba(31, 116, 203, 1)',
    iconColorDisabled: 'rgba(196, 200, 206, 1)',
    dividerColor: 'rgba(220, 222, 226, 1)',
    borderColor: 'rgba(196, 200, 206, 1)',
    closeIconColor: 'rgba(80, 90, 110, 1)',
    closeIconColorHover: 'rgba(103, 178, 254, 1)',
    closeIconColorPressed: 'rgba(31, 116, 203, 1)',
    closeColorHover: 'rgba(0, 0, 0, 0.1)',
    closeColorPressed: 'rgba(0, 0, 0, 0.15)',
    scrollbarColor: 'rgba(126, 133, 160, 1)',
    scrollbarColorHover: 'rgba(103, 178, 254, 1)',
    tagColor: '#F5F5F5FF',
    inputColorDisabled: 'rgba(233, 234, 236, 1)',
    fontSize: '14px',
    fontSizeMini: '12px',
    fontSizeTiny: '12px',
    fontSizeSmall: '14px',
    fontSizeMedium: '14px',
    fontSizeLarge: '15px',
    fontSizeHuge: '16px'
  },
  DatePicker: {
    panelColor: 'rgba(3,20,26,0.95)',
    panelTextColor: 'rgba(255,255,255,0.8)',
    calendarDaysTextColor: 'rgba(255,255,255,0.8)',
    calendarTitleTextColor: 'rgba(255,255,255,0.8)',
    calendarTitleColorHover: '#183742',
    panelHeaderDividerColor: '#164352',
    calendarDaysDividerColor: '#164352',
    panelActionDividerColor: '#164352',
    itemColorActive: '#1AB99B',
    itemColorHover: '#146371'
  },
  TimePicker: {
    panelColor: 'rgba(3, 20, 26, 0.95)',
    panelDividerColor: 'rgb(239, 239, 245)',
    itemTextColor: 'rgba(255, 255, 255, 0.8)',
    itemTextColorActive: '#1AB99B',
    itemColorHover: '#146371'
  },
  Checkbox: {
    colorChecked: '#1ab99bFF',
    textColor: '#fff'
  },
  Notification: {
    iconColorSuccess: '#1AB99BFF',
    iconColorError: '#E8575AFF',
    color: '#12363FFF',
    textColor: 'rgba(255, 255, 255, 1)',
    descriptionTextColor: 'rgba(255, 255, 255, 1)',
    closeIconColor: 'rgba(255, 255, 255, 1)',
    borderRadius: '0'
  },
  Progress: {
    fillColor: 'linear-gradient(to right, white, red);'
  }
}
export default themeOverrides